# shell(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

shell - Create a new command processor or shell

## SYNOPSIS

shell (C-x c)

## DESCRIPTION

shell creates a new command processor or shell. Upon exiting the shell, MicroEmacs 2009 redraws its screen and continues editing. The exceptions to this are as follows:

X-Windows

A new xterm is spawned off and editing control is returned to MicroEmacs 2009 once the xterm has initialized.

Microsoft Windows

A new MS-DOS shell is created and control is returned to MicroEmacs 2009 once the DOS console window has initialized. The shell created is determined by the MS-DOS environment variable `COMSPEC`, this may be a replacement shell e.g. `4DOS`.

## SEE ALSO

ipipe-shell-command(2), pipe-shell-command(2), shell-command(2), suspend-emacs(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>